/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_SOFTWARE_LIBRARIES_MPI_MPI_STRATEGIES_MPICORESTRATEGIES_H_INCLUDED
#define SSTMAC_SOFTWARE_LIBRARIES_MPI_MPI_STRATEGIES_MPICORESTRATEGIES_H_INCLUDED

#include <sstmac/software/libraries/mpi/mpi_strategies/mpistrategies.h>

#include <sstmac/software/libraries/mpi/mpi_strategies/mpicoresend.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicorersend.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicoressend.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicorerecv.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicorebarrier.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicorescan.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicorebcast.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicorescatter.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicoregather.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicorescatterv.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicoregatherv.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicorealltoall.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicorealltoallv.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicorereduce_scatter.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicoreallgather.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicoreallgatherv.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicorereduce.h>
#include <sstmac/software/libraries/mpi/mpi_strategies/mpicoreallreduce.h>

#endif
